/*
 * Universidade Federal de Pernambuco - UFPE
 * Centro de Informtica - CIn
 * Centro Integrado de Tecnologia da Informao - CITi
 * Curso de C/C++
 * Autor: Allan Lima - http://allanlima.wordpress.com/
 * Instrutor: Luiz Felipe Sotero (lfss@cin.ufpe.br)
 *
 * Retangulo.cpp - Arquivo que contm a implementao do mtodo que no so
 *                 inline na classe Retangulo.
 */

#include "Retangulo.h"

Retangulo::Retangulo(int a, int l) {
	this->altura = a;
	this->largura = l;
}

void Retangulo::setAltura(int a) {
	this->altura = a;
}

void Retangulo::setLargura(int l) {
	this->largura = l;
}

int Retangulo::area() {
	return this->altura * this->largura;
}

int Retangulo::perimetro() {
	return 2 * (this->altura + this->largura);
}

bool Retangulo::equals(Retangulo &r) {
	return (this->altura == r.altura && this->largura == r.largura);
}
