/*
 * Universidade Federal de Pernambuco - UFPE
 * Centro de Informtica - CIn
 * Centro Integrado de Tecnologia da Informao - CITi
 * Curso de C/C++
 * Autor: Allan Lima - http://allanlima.wordpress.com/
 * Instrutor: Luiz Felipe Sotero (lfss@cin.ufpe.br)
 *
 * main.h - Arquivo que contm os testes da classe Retangulo
 */

#include <iostream>
#include "Retangulo.h"

using namespace std;

int main() {
	// r e array so ponteiros para retngulos
	Retangulo *r = new Retangulo(10, 15);
	// S compila porque a classe retngulo possui um construtor que no recebe
	// argumentos
	Retangulo *array = new Retangulo[10];
	Retangulo ret(10, 15); //Varivel sem ponteiro

	cout << "Area de r: " << r->area() << endl;
	cout << "Perimetro de r: " << r->perimetro() << endl;
	cout << "r = array[0]: " << r->equals(array[0]) << endl;
	cout << "r = ret: " << r->equals(ret) << endl;

	// Apaga r da memria
	delete r;
	// Apaga array da memria
	delete[] array;


	return 0;
}






